Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## performance
Class SmithWatermanExample

    java.lang.Object
      performance.SmithWatermanExample

    public class SmithWatermanExample

extends Object

Since:
  1.7
Author:
  Andreas Dräger (draeger) , Andreas Prlic

Constructor Summary
`SmithWatermanExample()`

Method Summary
`static void` | `main(String[] args)` This method computes a pairwise local alignment between two given sequences and prints the result on the standard output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmithWatermanExample

    public SmithWatermanExample()

Method Detail

### main

    public static void main(String[] args)

  This method computes a pairwise local alignment between two given sequences and prints the result on the standard output stream. The sequences must be genbank files and the substitution matrix must be defined for the same alphabet than both sequences.

  Parameters:
    `args` - query sequence file (genbank), subject sequence file (genbank), substitution matrix file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD